Package com.tibco.patterns.qbp

## Class SimpleQueryDef

- java.lang.Object
- - com.tibco.patterns.qbp.QueryDef
  - - com.tibco.patterns.qbp.TextQueryDef
    - - com.tibco.patterns.qbp.SimpleQueryDef

-     public class SimpleQueryDef
      extends TextQueryDef

  Definition of a Simple query. Holds all parameters to create a Simple NetricsQuery object.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SimpleQueryDef​(java.lang.String dataSourceSpec, java.util.List<ANetricsQueryBuilderBuilderBase.SimpleQueryField> fields)` | Creates a Simple query definition.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getDataSourceSpec()` |
    `java.util.List<ANetricsQueryBuilderBuilderBase.SimpleQueryField>` | `getFields()` |

    - ### Methods inherited from class com.tibco.patterns.qbp.TextQueryDef

      `emptyScore, getEmptyScore, getScoreType, getThesaurusName, getThesaurusWeight, isMatchEmpty, matchEmpty, scoreType, thesaurus`

    - ### Methods inherited from class com.tibco.patterns.qbp.QueryDef

      `getGroupName, getQueryName, groupName, queryName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleQueryDef

          public SimpleQueryDef​(java.lang.String dataSourceSpec,
                                java.util.List<ANetricsQueryBuilderBuilderBase.SimpleQueryField> fields)

      Creates a Simple query definition.
      Parameters:
        `dataSourceSpec` - - defines the content of the query string. Not null. Input fields can be specified using the ${dflt-input-field-name} convention.
        `fields` - the fields the simple query uses to query. The field names are the default output field names. Not null.
      Throws:
        `java.lang.IllegalArgumentException` - if fields is null or zero length or contains nulls, or if data_source_spec is null or zero length.

  - ### Method Detail

    - #### getDataSourceSpec

          public java.lang.String getDataSourceSpec()

      Returns:
        the definition of the content of the query string.

    - #### getFields

          public java.util.List<ANetricsQueryBuilderBuilderBase.SimpleQueryField> getFields()

      Returns:
        a copy of the fields list.